<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

<!--    <uses-permission android:name="android.permission.READ_SMS" />-->
    <uses-permission android:name="android.permission.INTERNET" />
<!--    <uses-permission android:name="android.permission.RECEIVE_SMS" />&lt;!&ndash; 接收短信权限 &ndash;&gt;-->
    <!-- 添加接收系统启动消息（用于开机启动）权限 -->
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.QUERY_ALL_PACKAGES" />

    <!-- 下面这个也必须加，否则 Android 11+ 拿不到列表 -->
    <queries>
        <intent>
            <action android:name="android.intent.action.MAIN" />
        </intent>
        <intent>
            <action android:name="android.intent.action.MAIN" />
            <category android:name="android.intent.category.LAUNCHER" />
        </intent>
    </queries>
    <application
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/app_logo"
        android:label="@string/app_name"
        android:networkSecurityConfig="@xml/network_security_config"
        android:preserveLegacyExternalStorage="true"
        android:requestLegacyExternalStorage="true"
        android:roundIcon="@mipmap/app_logo"
        android:supportsRtl="true"
        android:theme="@style/Theme.SmsMessage"
        tools:targetApi="31">

        <activity
            android:name=".Activity.MainActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity
            android:name=".Activity.NotificationActivity"
            android:theme="@style/Theme.SmsMessage1"
            android:exported="true" />
        <activity
            android:name=".Activity.SettingActivity"
            android:theme="@style/Theme.SmsMessage1"
            android:exported="true" />
        <activity
            android:name=".Activity.AppListActivity"
            android:theme="@style/Theme.SmsMessage1"
            android:exported="true" />

        <!--通知栏获取短信-->
        <service
            android:name=".service.NotificationService"
            android:exported="true"
            android:label="通知监控"
            android:permission="android.permission.BIND_NOTIFICATION_LISTENER_SERVICE"
            android:priority="1000">
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED" />
                <action android:name="android.service.notification.NotificationListenerService" />
            </intent-filter>
        </service>


    </application>

</manifest>